Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.orb
Class ORBRuntimeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.apache.orb.ORBRuntimeException

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class ORBRuntimeException
extends SystemException
implements org.apache.avalon.framework.CascadingThrowable

General exception thrown by the ORB implementation signalling an internal error together with causal information.

Author:
  Stephen McConnell mcconnell@apache.org
See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`ORBRuntimeException()` Constructor for the ORBRuntimeException
`ORBRuntimeException(int minor, CompletionStatus status)` Constructor for the ORBRuntimeException object
`ORBRuntimeException(int minor, CompletionStatus status, java.lang.Throwable throwable)` Constructor for the PersistenceException object
`ORBRuntimeException(java.lang.String message)` Constructor for the ORBRuntimeException object
`ORBRuntimeException(java.lang.String message, int minor, CompletionStatus status)` Constructor for the ORBRuntimeException object
`ORBRuntimeException(java.lang.String message, int minor, CompletionStatus status, java.lang.Throwable throwable)` Constructor for the ORBRuntimeException object
`ORBRuntimeException(java.lang.String message, java.lang.Throwable throwable)` Constructor for the ORBRuntimeException object
`ORBRuntimeException(java.lang.Throwable throwable)` Constructor for the ORBRuntimeException

Method Summary
`java.lang.Throwable` | `getCause()` Gets the cause attribute of the ORBRuntimeException object

Methods inherited from class org.omg.CORBA.SystemException
`initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ORBRuntimeException

    public ORBRuntimeException()

  Constructor for the ORBRuntimeException

### ORBRuntimeException

    public ORBRuntimeException(java.lang.Throwable throwable)

  Constructor for the ORBRuntimeException
  Parameters:
    `throwable` - the causal exception

### ORBRuntimeException

    public ORBRuntimeException(java.lang.String message)

  Constructor for the ORBRuntimeException object
  Parameters:
    `message` - exception message

### ORBRuntimeException

    public ORBRuntimeException(java.lang.String message,
                               java.lang.Throwable throwable)

  Constructor for the ORBRuntimeException object
  Parameters:
    `message` - exception message
    `throwable` - the causal exception

### ORBRuntimeException

    public ORBRuntimeException(int minor,
                               CompletionStatus status)

  Constructor for the ORBRuntimeException object
  Parameters:
    `minor` - minor code
    `status` - completion status

### ORBRuntimeException

    public ORBRuntimeException(int minor,
                               CompletionStatus status,
                               java.lang.Throwable throwable)

  Constructor for the PersistenceException object
  Parameters:
    `minor` - minor code
    `status` - completion status
    `throwable` - causal exception

### ORBRuntimeException

    public ORBRuntimeException(java.lang.String message,
                               int minor,
                               CompletionStatus status)

  Constructor for the ORBRuntimeException object
  Parameters:
    `message` - exception message
    `minor` - minor code
    `status` - completion status

### ORBRuntimeException

    public ORBRuntimeException(java.lang.String message,
                               int minor,
                               CompletionStatus status,
                               java.lang.Throwable throwable)

  Constructor for the ORBRuntimeException object
  Parameters:
    `message` - exception message
    `minor` - minor code
    `status` - completion status
    `throwable` - causal exception

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Gets the cause attribute of the ORBRuntimeException object
  Specified by:
    `getCause` in interface `org.apache.avalon.framework.CascadingThrowable`
  Overrides:
    `getCause` in class `SystemException`
  Returns:
    Throwable The cause value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD